import matplotlib.pyplot as plt
import numpy as np
import seaborn as sns
import pandas as pd

mpg = sns.load_dataset("mpg")
mpg_mod = mpg[mpg["origin"] != "japan"]

sns.boxplot(x="origin", y="mpg", hue="cylinders", data=mpg_mod)

plt.show()
